<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.usermodel.Paragraph (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.usermodel.Paragraph (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/Paragraph.html" target="_top">Frames</a>
        </li>
        <li><a href="Paragraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.usermodel.Paragraph" class="title">Uses of Class<br>org.apache.poi.hwpf.usermodel.Paragraph
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                        title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.converter">org.apache.poi.hwpf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Paragraph</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlUtils.html#addIndent-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.StringBuilder-">addIndent</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.StringBuilder&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlUtils.html#addJustification-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.StringBuilder-">addJustification</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.StringBuilder&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlUtils.html#addParagraphProperties-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.StringBuilder-">addParagraphProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.StringBuilder&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processParagraph-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-int-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.String-">processParagraph</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;parentElement,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.String&nbsp;bulletText)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processParagraph-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-int-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.String-">processParagraph</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;parentElement,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.String&nbsp;bulletText)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processParagraph-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-int-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.String-">processParagraph</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;hwpfDocument,
                                org.w3c.dom.Element&nbsp;parentElement,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.String&nbsp;bulletText)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processParagraph-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-int-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.String-">processParagraph</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;hwpfDocument,
                                org.w3c.dom.Element&nbsp;parentFopElement,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.String&nbsp;bulletText)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoUtils.html#setIndent-org.apache.poi.hwpf.usermodel.Paragraph-org.w3c.dom.Element-">setIndent</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoUtils.html#setJustification-org.apache.poi.hwpf.usermodel.Paragraph-org.w3c.dom.Element-">setJustification</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                org.w3c.dom.Element&nbsp;element)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/converter/WordToFoUtils.html#setParagraphProperties-org.apache.poi.hwpf.usermodel.Paragraph-org.w3c.dom.Element-">setParagraphProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Paragraph</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                title="class in org.apache.poi.hwpf.usermodel">Paragraph</a> in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/ListEntry.html"
                                    title="class in org.apache.poi.hwpf.usermodel">ListEntry</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Range.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html#getParagraph-int-">getParagraph</a></span>(int&nbsp;index)</code>
                                <div class="block">Gets the paragraph at index.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Paragraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html#newParagraph-org.apache.poi.hwpf.usermodel.Range-org.apache.poi.hwpf.model.PAPX-">newParagraph</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                   title="class in org.apache.poi.hwpf.model">PAPX</a>&nbsp;papx)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Table</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Range.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Range.html#getTable-org.apache.poi.hwpf.usermodel.Paragraph-">getTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph)</code>
                                <div class="block">Gets the table that starts with paragraph.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/Paragraph.html" target="_top">Frames</a>
        </li>
        <li><a href="Paragraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
